summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ivan Rozhkov2021-02-13 11:38:52 +0100
committer Willy Sudiarto Raharjo2021-02-14 00:28:00 +0100
commit69c7bee7f4965ab0ef17ffbaa2e51b7a40da3414 (patch)
tree1c84671c1a04080a03aa1de8010b0fa30a4f4fdc
parent96de0ca84f1a0209be55361fcf0abd63f6962729 (diff)
downloadslackbuilds-69c7bee7f4965ab0ef17ffbaa2e51b7a40da3414.tar.gz
network/bombadillo: Added (bombadillo non-web browser)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/bombadillo/README21
-rw-r--r--network/bombadillo/bombadillo.SlackBuild93
-rw-r--r--network/bombadillo/bombadillo.info10
-rw-r--r--network/bombadillo/doinst.sh9
-rw-r--r--network/bombadillo/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/network/bombadillo/README b/network/bombadillo/README
new file mode 100644
index 0000000000..0f0da2a237
--- /dev/null
+++ b/network/bombadillo/README
@@ -0,0 +1,21 @@
+Bombadillo is a non-web browser, designed for a growing list of
+protocols operating outside of the web.
+
+Bombadillo is operated from your terminal, allowing you to browse
+content, follow links, and engage in the non-web with ease.
+The main features of Bombadillo are:
+ - Seamless browsing between multiple protocols, including Gopher,
+Gemini, Finger, and your local file system
+ - Additional support for telnet and the web through third-party
+applications - http/https connection support is opt-in, and is
+configurable in a few different ways
+ - Privacy focused - does not store usage or browsing data, will only
+store items you instruct it to (bookmarks, gemini certificates,
+settings and downloaded files)
+ - Does not send/transmit anything to anyone that you do not instruct
+it to
+ - Uses Vi/Vim-inspired keybindings and an easy command system
+ - Navigable history within a session (no storage of session data)
+ - Supports bookmarks
+ - Gemini Protocol support includes secure communication over TLS,
+and uses a TOFU-style certificate system
diff --git a/network/bombadillo/bombadillo.SlackBuild b/network/bombadillo/bombadillo.SlackBuild
new file mode 100644
index 0000000000..dafdbcdadf
--- /dev/null
+++ b/network/bombadillo/bombadillo.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# Slackware build script for bombadillo.
+#
+# Copyright 2021 Ivan Rozhkov, Russian Federation.
+# All rights reserved.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
+# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
+# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
+# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
+# OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+# PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=bombadillo
+VERSION=${VERSION:-2.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM
+
+sed -i '/update-desktop-database/d' Makefile
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -j1 \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ DEVELOPING.md \
+ LICENSE \
+ README.md \
+ VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/bombadillo/bombadillo.info b/network/bombadillo/bombadillo.info
new file mode 100644
index 0000000000..9d374e9feb
--- /dev/null
+++ b/network/bombadillo/bombadillo.info
@@ -0,0 +1,10 @@
+PRGNAM="bombadillo"
+VERSION="2.3.3"
+HOMEPAGE="https://bombadillo.colorfield.space/"
+DOWNLOAD="https://tildegit.org/sloum/bombadillo/archive/2.3.3.tar.gz"
+MD5SUM="a112fdd9f388c62d9a67e47b9f8108c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Ivan Rozhkov"
+EMAIL="ris@disroot.org"
diff --git a/network/bombadillo/doinst.sh b/network/bombadillo/doinst.sh
new file mode 100644
index 0000000000..b3b5ad2b91
--- /dev/null
+++ b/network/bombadillo/doinst.sh
@@ -0,0 +1,9 @@
+ if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi \ No newline at end of file
diff --git a/network/bombadillo/slack-desc b/network/bombadillo/slack-desc
new file mode 100644
index 0000000000..12569a03c1
--- /dev/null
+++ b/network/bombadillo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bombadillo: bombadillo 2.3.3 (bombadillo non-web browser)
+bombadillo:
+bombadillo: bombadillo is a non-web browser for the terminal. It features a
+bombadillo: full terminal user interface, vim-like keybindings, document
+bombadillo: pager, configurable settings, and a robust command selection.
+bombadillo: bombadillo supports the following protocols as first class
+bombadillo: citizens: gopher, gemini, finger, and local (a user's file
+bombadillo: system). Support for telnet, http and https is also available via
+bombadillo: integration with third party applications.
+bombadillo:
+bombadillo: http://bombadillo.colorfield.space/